Bug 1249073 - dnf repoquery does not support wildcards in --whatrequires
Summary: dnf repoquery does not support wildcards in --whatrequires
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core
Version: 25
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-31 12:59 UTC by Peter Robinson
Modified: 2016-12-16 16:03 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-16 16:03:21 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1226172 None None None Never
Red Hat Bugzilla 1226677 None None None Never
Red Hat Bugzilla 1259650 None None None Never

Internal Trackers: 1226172 1226677 1259650

Description Peter Robinson 2015-07-31 12:59:07 UTC
I'm finding a number of discrepancies in "dnf repoquery" compared to the old yum version.

One example:

$ dnf repoquery --repoid=rawhide --whatrequires pyorbit\*
Last metadata expiration check performed 2:49:28 ago on Fri Jul 31 11:07:09 2015.
$ repoquery --repoid=rawhide --whatrequires pyorbit\*

Yum-utils package has been deprecated, use dnf instead.
See 'man yum2dnf' for more information.


gnome-python2-bonobo-0:2.28.1-16.fc23.x86_64
$

Comment 1 Peter Robinson 2015-07-31 13:01:11 UTC
Another example, there's a difference in 76 packages there

$ repoquery --repoid=rawhide --whatrequires gnome-python2\*

Yum-utils package has been deprecated, use dnf instead.
See 'man yum2dnf' for more information.


ailurus-0:10.10.3-8.fc23.noarch
audit-viewer-0:0.7.4-8.fc23.x86_64
backintime-gnome-0:1.0.36-2.fc23.noarch
bleachbit-0:1.8-1.fc24.noarch
cinnamon-0:2.6.13-3.fc24.x86_64
conduit-0:0.3.17-10.fc21.noarch
decibel-audio-player-0:1.08-11.fc23.noarch
earcandy-0:0.9-3.fc23.noarch
emesene-0:2.11.11-8.fc23.noarch
expendable-0:0.0.10-3.fc23.noarch
firmware-tools-0:2.1.15-1.fc23.8.noarch
gajim-0:0.16.2-1.fc24.noarch
gcompris-0:15.02-2.fc23.x86_64
gdesklets-0:0.36.3-22.fc24.x86_64
gjots2-0:2.3.15-8.fc23.noarch
gnome-activity-journal-0:0.8.0-8.fc23.noarch
gnome-commander-4:1.4.7-1.fc23.1.x86_64
gnome-gmail-0:1.8.2-7.fc23.noarch
gnome-password-generator-0:1.6-12.fc23.noarch
gnome-python2-bonobo-0:2.28.1-16.fc23.x86_64
gnome-python2-canvas-0:2.28.1-16.fc23.x86_64
gnome-python2-desktop-0:2.32.0-22.fc23.x86_64
gnome-python2-devel-0:2.28.1-16.fc23.i686
gnome-python2-devel-0:2.28.1-16.fc23.x86_64
gnome-python2-extras-0:2.25.3-46.fc23.x86_64
gnome-python2-gconf-0:2.28.1-16.fc23.x86_64
gnome-python2-gnome-0:2.28.1-16.fc23.x86_64
gnome-python2-gnomedesktop-0:2.32.0-22.fc23.x86_64
gnome-python2-gnomekeyring-0:2.32.0-22.fc23.x86_64
gnome-python2-gnomevfs-0:2.28.1-16.fc23.x86_64
gnome-python2-gtkspell-0:2.25.3-46.fc23.x86_64
gnome-python2-libegg-0:2.25.3-46.fc23.x86_64
gnome-python2-libgtop2-0:2.32.0-22.fc23.x86_64
gnome-python2-totem-0:2.32.0-22.fc23.x86_64
gourmet-0:0.17.4-4.fc23.noarch
gscribble-0:0.1.2-9.fc23.noarch
gtg-0:0.3.1-7.fc24.noarch
guake-0:0.7.2-3.fc23.x86_64
hamster-time-tracker-0:1.04-5.fc23.noarch
hotssh-0:0.2.7-9.fc23.noarch
hotwire-0:0.721-14.fc23.noarch
icaro-0:1.0.4-2.fc23.noarch
istanbul-0:0.2.2-23.fc23.i686
istanbul-0:0.2.2-23.fc23.x86_64
kupfer-0:208-9.fc23.noarch
labyrinth-0:0.6-6.fc23.noarch
ldtp-0:3.5.0-5.fc24.noarch
lekhonee-gnome-0:0.7-10.fc23.noarch
listen-0:0.6.5-14.fc22.x86_64
memaker-0:20100110-9.fc23.noarch
mirage-0:0.9.5.2-9.fc23.x86_64
mitter-0:0.4.5-9.fc23.noarch
pessulus-0:2.30.3-9.fc23.noarch
policycoreutils-gui-0:2.4-7.fc24.x86_64
pybliographer-0:1.2.17-2.fc23.noarch
pychess-0:0.10.1-8.fc23.noarch
pyrenamer-0:0.6.0-14.fc23.noarch
python-desktopcouch-0:1.0.8-3.fc23.noarch
rapid-photo-downloader-0:0.4.10-3.fc23.noarch
rednotebook-0:1.9.0-2.fc23.noarch
revelation-0:0.4.14-10.fc23.x86_64
revisor-gui-0:2.2-11.fc23.noarch
rhn-setup-gnome-0:2.4.5-2.fc23.noarch
sonata-0:1.6.2.1-15.fc23.x86_64
soundconverter-0:2.1.5-3.fc23.noarch
specto-0:0.4.1-8.fc23.noarch
sugar-toolkit-0:0.98.1-9.fc23.x86_64
system-config-bind-0:4.0.15-10.fc23.noarch
system-config-date-0:1.10.9-1.fc23.noarch
system-config-httpd-5:1.5.5-9.fc23.noarch
terminator-0:0.97-8.fc23.noarch
tortoisehg-0:3.4-2.fc23.noarch
virtaal-0:0.7.1-7.fc23.noarch
wallpapoz-0:0.6.2-7.fc23.2.noarch
wuja-0:0.0.8-15.fc23.noarch
x-tile-0:2.5-5.fc23.noarch
$ dnf repoquery --repoid=rawhide --whatrequires gnome-python2\*
Last metadata expiration check performed 2:52:51 ago on Fri Jul 31 11:07:09 2015.
$

Comment 2 Honza Silhan 2015-08-11 12:33:04 UTC
We should add support in hawkey to be able to query for requires with wildcards first.

Comment 4 Fedora Update System 2015-09-22 15:01:53 UTC
hawkey-0.6.1-1.fc23 dnf-plugins-core-0.1.12-2.fc23 dnf-1.1.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16428

Comment 5 Fedora Update System 2015-09-22 15:03:38 UTC
dnf-plugins-core-0.1.12-2.fc22 hawkey-0.6.1-1.fc22 dnf-1.1.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16429

Comment 6 Fedora Update System 2015-09-23 03:55:05 UTC
dnf-1.1.2-2.fc23, dnf-plugins-core-0.1.12-2.fc23, hawkey-0.6.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf-plugins-core dnf hawkey'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16428

Comment 7 Fedora Update System 2015-09-23 21:22:56 UTC
dnf-1.1.2-2.fc22, dnf-plugins-core-0.1.12-2.fc22, hawkey-0.6.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf-plugins-core dnf hawkey'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16429

Comment 8 Fedora Update System 2015-10-02 15:19:19 UTC
dnf-plugins-core-0.1.12-3.fc23 hawkey-0.6.1-2.fc23 dnf-1.1.2-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-38e69423f3

Comment 9 Fedora Update System 2015-10-02 15:23:53 UTC
dnf-plugins-core-0.1.12-3.fc22 hawkey-0.6.1-2.fc22 dnf-1.1.2-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3528c659e4

Comment 10 Fedora Update System 2015-10-04 01:35:36 UTC
dnf-1.1.2-4.fc22, dnf-plugins-core-0.1.12-3.fc22, hawkey-0.6.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update hawkey dnf-plugins-core dnf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3528c659e4

Comment 11 Fedora Update System 2015-10-04 01:51:31 UTC
dnf-1.1.2-4.fc23, dnf-plugins-core-0.1.12-3.fc23, hawkey-0.6.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update hawkey dnf-plugins-core dnf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-38e69423f3

Comment 12 Fedora Update System 2015-10-04 19:12:21 UTC
dnf-1.1.2-4.fc23, dnf-plugins-core-0.1.12-3.fc23, hawkey-0.6.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-10-05 21:51:50 UTC
dnf-1.1.2-4.fc22, dnf-plugins-core-0.1.12-3.fc22, hawkey-0.6.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Sergio Monteiro Basto 2016-02-11 05:56:45 UTC
Sorry this is not working with :
    dnf-1.1.6-2.fc23.noarch 
    dnf-plugins-core-0.1.16-1.fc23.noarch 

dnf repoquery --alldeps --whatrequires tracker\*  | wc -l 
17

repoquery --whatrequires tracker\* | wc -l
38 

Bizarrely without wildcard give more results : 

dnf repoquery --alldeps --whatrequires tracker  | wc -l
39

Comment 15 Jan Kurik 2016-02-24 13:30:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 16 Igor Gnatenko 2016-07-22 05:52:01 UTC
agree, still reproducible.

$ sudo dnf -q repoquery --alldeps --whatrequires tracker
bijiben-0:3.20.2-1.fc24.x86_64
brasero-0:3.12.1-4.fc24.x86_64
gnome-boxes-0:3.20.2-2.fc24.x86_64
gnome-boxes-0:3.20.2-4.fc24.x86_64
gnome-documents-libs-0:3.20.0-2.fc24.x86_64
gnome-music-0:3.20.2-2.fc24.x86_64
gnome-online-miners-0:3.20.0-1.fc24.x86_64
gnome-photos-0:3.20.1-1.fc24.x86_64
gnome-photos-0:3.20.2-1.fc24.x86_64
grilo-plugins-0:0.3.1-1.fc24.i686
grilo-plugins-0:0.3.1-1.fc24.x86_64
media-explorer-0:0.4.4-14.fc23.i686
media-explorer-0:0.4.4-14.fc23.x86_64
nautilus-0:3.20.0-1.fc24.i686
nautilus-0:3.20.0-1.fc24.x86_64
nautilus-0:3.20.1-1.fc24.i686
nautilus-0:3.20.1-1.fc24.x86_64
rygel-tracker-0:0.30.3-1.fc24.x86_64
tracker-0:1.8.0-1.fc24.x86_64
tracker-devel-0:1.8.0-1.fc24.i686
tracker-devel-0:1.8.0-1.fc24.x86_64
tracker-firefox-plugin-0:1.8.0-1.fc24.x86_64
tracker-needle-0:1.8.0-1.fc24.x86_64
tracker-preferences-0:1.8.0-1.fc24.x86_64
tracker-thunderbird-plugin-0:1.8.0-1.fc24.x86_64

$ sudo dnf -q repoquery --alldeps --whatrequires tracker*
gnome-music-0:3.20.2-2.fc24.x86_64
rygel-tracker-0:0.30.3-1.fc24.x86_64
tracker-devel-0:1.8.0-1.fc24.i686
tracker-devel-0:1.8.0-1.fc24.x86_64
tracker-firefox-plugin-0:1.8.0-1.fc24.x86_64
tracker-needle-0:1.8.0-1.fc24.x86_64
tracker-preferences-0:1.8.0-1.fc24.x86_64
tracker-thunderbird-plugin-0:1.8.0-1.fc24.x86_64

Comment 17 Jan Kurik 2016-07-26 05:01:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 18 Jaroslav Mracek 2016-12-16 16:03:21 UTC
The problem cannot be reproduce with dnf-2.0.0_0.rc2.1-23g408aa60.fc25.noarch. Please can you try the upstream version (dnf copr enable rpmsoftwaremanagement/dnf-nightly) or rawhide version and if the problem appears again, reopen the bug report.


Note You need to log in before you can comment on or make changes to this bug.